Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd
Class SyndCategoryImpl

    java.lang.Object
      com.sun.syndication.feed.synd.SyndCategoryImpl

All Implemented Interfaces:
  SyndCategory, Serializable, Cloneable

    public class SyndCategoryImpl

extends Object
implements Serializable, SyndCategory

Bean for categories of SyndFeedImpl feeds and entries.

Author:
  Alejandro Abdelnur
See Also:
  Serialized Form

Constructor Summary
`SyndCategoryImpl()` Default constructor.

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`String` | `getName()` Returns the category name.
`String` | `getTaxonomyUri()` Returns the category taxonomy URI.
`int` | `hashCode()` Returns a hashcode value for the object.
`void` | `setName(String name)` Sets the category name.
`void` | `setTaxonomyUri(String taxonomyUri)` Sets the category taxonomy URI.
`String` | `toString()` Returns the String representation for the object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyndCategoryImpl

    public SyndCategoryImpl()

  Default constructor. All properties are set to null.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Specified by:
    `clone` in interface `SyndCategory`
  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    public String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### getName

    public String getName()

  Returns the category name.

  Specified by:
    `getName` in interface `SyndCategory`
  Returns:
    the category name, null if none.

### setName

    public void setName(String name)

  Sets the category name.

  Specified by:
    `setName` in interface `SyndCategory`
  Parameters:
    `name` - the category name to set, null if none.

### getTaxonomyUri

    public String getTaxonomyUri()

  Returns the category taxonomy URI.

  Specified by:
    `getTaxonomyUri` in interface `SyndCategory`
  Returns:
    the category taxonomy URI, null if none.

### setTaxonomyUri

    public void setTaxonomyUri(String taxonomyUri)

  Sets the category taxonomy URI.

  Specified by:
    `setTaxonomyUri` in interface `SyndCategory`
  Parameters:
    `taxonomyUri` - the category taxonomy URI to set, null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.